.container {
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    flex-direction: row-reverse;
}
.block {
    width: calc((100%) / 10);
    height: auto;
    box-sizing: border-box;
    margin-right: 10px;
    font-size: 28px;
    padding: 20px;
    background-color: orangered;
}
.block:nth-child(odd) {
    font-size: 12px;
}
.block:nth-child(5) {
    font-size: 8px;
}
.block:nth-child(3) {
    font-size: 22px;
}
.block:nth-child(8) {
    font-size: 42px;
}